using System;
namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int index = -1;
            string[] s = Console.ReadLine().Split(" ");
            uint n = uint.Parse(s[0]);
            uint l = uint.Parse(s[1]);
            string[] v = Console.ReadLine().Split(" ");
            uint[] visine = new uint[n];
            for(uint i = 0; i < visine.Length; i++)
            {
                visine[i] = uint.Parse(v[i]);
            }
            for(int i = 0; i < visine.Length ; i++)
            {
                if (visine[i] <= l)
                {
                    index = i + 1;
                    break;
                }
            }
            Console.WriteLine(index);
        }
    }
}